$sidebar-width: 6.25rem;

@mixin ViewSidebarLeft() {
  width: 100px;
  right: auto;
  top: 0;
  bottom: 0;
  left: 0;
  background: #fff;
  position: fixed;
  height: auto;
  display: flex;
  justify-content: center;
  &.parts {
    & > .stack {
      background: #fff;
      padding-bottom: 6.5rem;
    }
  }
  & > .submenu {
    display: none;
    visibility: hidden;
    opacity: 0;
    height: 0;
    max-height: 0;
    max-width: 0;
  }
  & > .stack {
    display: flex;
    flex-flow: column;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    .link {
      display: flex;
      flex-flow: column nowrap;
      color: #212529;
      padding: 2.5rem 0;
      align-items: center;
      height: auto;
      &.link-parts {
        background-color: #ffcf68 !important;
      }
      &.link-sto {
        background-color: #741230 !important;
        .icon, .text {
          color: #ffffff;
        }
      }
      &.new {
        padding-right: 0;
        &:before {
          top: 0.75rem;
          right: .75rem;
          margin-top: 0;
          transform: scale(1.3);
        }
      }
      &:hover {
        background-color: #f6faff;
        color: #272727;
        text-decoration: none;
        transition: .2s ease all;
      }
      &.active {
        background: #ffcf68;
        &:hover {
          background: #ffcd46;
        }
      }
      .icon {
        font-size: 3rem;
        height: 3rem;
      }
      .text {
        display: block;
        font-weight: 500;
        margin-top: 0.8125rem;
        line-height: 1.25;
        font-size: 0.6875rem;
        margin-left: 0;
        color: #141414;
      }
      &.disable {
        opacity: .5;
      }
    }
  }
}

.kit.main.header.theme.purpur .kit.parts.sidebar {
  $colorIconSubmenuPurpur: #842c2d;
  $colorTextHoverSubmenuPurpur: #842c2d;
  $colorBgHoverSubmenuPurpur: #fff3f7;
  @media only screen and (min-width: 1025px) {
    > .submenu {
      .link .icon {
        color: $colorIconSubmenuPurpur;
      }
      .link:hover {
        background-color: $colorBgHoverSubmenuPurpur;
        color: $colorTextHoverSubmenuPurpur;
      }
    }
  }
}

.kit.main.header.theme.aquamarin .kit.parts.sidebar {
  $colorIconSubmenuPurpur: #0d6187;
  $colorTextHoverSubmenuPurpur: #0d6187;
  $colorBgHoverSubmenuPurpur: #f6faff;
  @media only screen and (min-width: 1025px) {
    > .submenu {
      .link .icon {
        color: $colorIconSubmenuPurpur;
      }
      .link:hover {
        background-color: $colorBgHoverSubmenuPurpur;
        color: $colorTextHoverSubmenuPurpur;
      }
    }
  }
}

.kit.parts.sidebar {
  $colorIconSubmenu: #4272a4;
  $colorTextHoverSubmenu: #4272a4;
  $colorBgHoverSubmenu: #f6faff;

  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1000;
  display: flex;
  flex-flow: row nowrap;
  font-size: 1rem;
  transform-origin: 0 50% 0;
  transform: translateX(-150%) scaleX(1.5);
  transition: transform .4s ease;
  pointer-events: none;
  &.show {
    transform: translateX(0) !important;
    pointer-events: all;
  }
  & > .stack {
    width: 6.25rem;
    flex: 0 0 6.25rem;
    text-align: center;
    box-shadow: 30px 0 120px 0 rgba(96, 126, 146, .15);
    background: #fff;
    z-index: 2;
    @media only screen and (min-width: 1200px) {
      display: flex;
      width: auto;
      flex: 0 0 4.5rem;
      background-color: transparent;
    }

    & > .close {
      font-family: 'sidebar', sans-serif;
      font-size: 1.1rem;
      display: block;
      width: 100%;
      padding: 1rem 0;
      color: #212529;
      @media only screen and (min-width: 1200px) {
        display: none;
      }
    }

    .link {
      display: flex;
      flex-flow: column nowrap;
      color: #212529;
      padding: 1rem 0;
      &.new {
        padding-right: 0;
        @media only screen and (min-width: 1200px) {
          padding-right: 3.5rem;
        }
        &:before {
          top: 0.75rem;
          right: .75rem;
          margin-top: 0;
          transform: scale(1.3);
          @media only screen and (max-width: 1024px) {
            top: 0.25rem;
            right: 0.25rem;
            transform: none;
          }
          @media only screen and (min-width: 1200px) {
            top: 50%;
            right: 1.5rem;
            margin-top: -0.75rem;
          }
        }
      }

      @media only screen and (min-width: 1200px) {
        flex-flow: row nowrap;
        align-items: center;
        height: 4.5rem;
        padding: 0 1.5rem;
        color: hsla(0, 0%, 100%, .85);
      }
      &:hover {
        background-color: #f6faff;
        color: #272727;
        text-decoration: none;
        transition: .2s ease all;
        @media only screen and (min-width: 1200px) {
          background-color: rgba(255, 255, 255, 0.25);
          color: #fff;
        }
      }
      &.active {
        background: #ffcf68;
        &:hover {
          background: #ffcd46;
        }
        @media only screen and (min-width: 1200px) {
          background-color: rgba(255, 255, 255, 0.08);
          color: #fff;
          &:hover {
            background-color: rgba(255, 255, 255, 0.25);
            color: #fff;
          }
        }
      }
      .icon {
        display: block;
        font-family: 'sidebar', sans-serif;
        font-size: 3.25em;
        height: 1em;
        line-height: 1;
        @media only screen and (min-width: 1200px) {
          height: 1.5rem;
          font-size: 1.5rem;
        }
      }
      .text {
        display: block;
        font-size: .75rem;
        font-weight: 500;
        margin-top: .5rem;
        line-height: 1.25;
        @media only screen and (min-width: 1200px) {
          font-size: 1rem;
          margin-left: 0.625rem;
          margin-top: 0;
        }
      }
      &.disable {
        opacity: .5;
      }
    }
  }

  & > .submenu {
    flex: 1 1 auto;
    transition: transform .8s ease;
    position: relative;
    background: #fff;
    z-index: 1;
    //transform: perspective(100vw) rotate3d(0, 1, 0, 15deg);
    transform-origin: 0 50%;
    @media only screen and (min-width: 1200px) {
      display: flex;
      flex-grow: 0;
    }
    & > .category {
      padding: 1.5rem 0 1rem;
      transition: top .5s ease;
      position: absolute;
      width: 100%;
      top: -100vh;
      @media only screen and (min-width: 1200px) {
        top: 0;
        padding: 0;
        left: 0;
        width: auto;
        &.submenu-sto {
          left: 154px;
        }
      }
      & > .title {
        line-height: 1.2;
        color: #272727;
        font-weight: 700;
        margin: 0 0 1rem;
        padding: 0 2.25rem;
        font-size: 2rem;
        @media only screen and (min-width: 1200px) {
          display: none;
        }
      }
    }
    & > .category.active {
      top: 0;
      & ~ .category {
        @media only screen and (min-width: 1025px) {
          top: 0;
        }
      }
    }
    & > .category.show {
      @media only screen and (min-width: 1200px) {
        > .links {
          display: block;
        }
      }
    }

    .links {
      width: 100%;
      @media only screen and (min-width: 1200px) {
        display: none;
        background-color: #fff;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
      }
    }
    .link {
      display: block;
      width: 100%;
      border-bottom: 1px solid #dbe4e9;
      padding: .75rem 2.25rem;
      color: #515f68;
      font-size: 0.875rem;
      line-height: 1.5;
      font-weight: 500;
      &:hover {
        background-color: $colorBgHoverSubmenu;
        color: #272727;
        text-decoration: none;
      }
      @media only screen and (min-width: 1200px) {
        color: #4a4a4a;
        font-size: 0.8125rem;
        font-weight: 400;
        line-height: 1.5rem;
        padding: 0.5rem 1.5rem;
        border: none;
        display: flex;
        align-items: center;
        white-space: nowrap;
        &:hover {
          color: $colorTextHoverSubmenu;
          background-color: #f6faff;
        }
        &:first-child {
          padding-top: 1rem;
        }
        &:last-child {
          padding-bottom: 1rem;
        }
        .icon {
          font-family: 'tilesection', serif;
          font-size: 2rem;
          line-height: 2rem;
          color: $colorIconSubmenu;
          display: block;
          width: 1.25rem;
          text-align: center;
          font-weight: 400;
          margin-right: 0.75rem;
          transform: translate(-0.3rem, 0rem);
          &.icon-header {
            font-family: 'header', sans-serif;
            font-size: 1.3rem;
            line-height: 1.3rem;
            transform: translate(0, 0);
          }
        }
      }
      &.disable {
        opacity: .5;
      }
    }
  }

  @media only screen and (min-width: 1025px) {
    position: relative;
    display: inline-flex;
    top: auto;
    right: auto;
    bottom: auto;
    left: auto;
    flex-flow: column nowrap;
    transform: translateX(0);
    pointer-events: all;
  }

  @media (min-width: 1025px) and (max-width: 1199px) {
    transform: translateX(-150%) scaleX(1.5);
    transition: transform .4s ease;
    &.show .shadow {
      position: fixed;
      width: 100vw;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      background-color: rgba(0, 0, 0, 0.5);
      transition: 0.3s ease all;
    }
    & > .submenu {
      display: none;
      visibility: hidden;
      opacity: 0;
      height: 0;
      max-height: 0;
      max-width: 0;
    }
    & > .stack > .close {
      margin: 0 0 auto;
      display: block;
    }
    & > .stack .link:nth-child(2) {
      margin-top: -6.25vh;
    }

    & > .stack .link:last-child {
      margin-bottom: auto;
    }
    @include ViewSidebarLeft();
  }

  &.index {
    @media only screen and (min-width: 1200px) {
      transform: translateX(0);
      pointer-events: all;
      @include ViewSidebarLeft();
    }
  }
}
